% differenze2: approssimazione di f'(t) con differenze finite - errori
f=@(t)sin(t); tc=pi/6; de=cos(pi/6); 
% H= vettore dei parametri di discretizzazione
H=[0.1,0.05,0.01,0.005,0.001,0.0005,0.0001]; 
for h=H
    df=(f(tc+h)-f(tc))/h; % differenza finita
    err=abs(de-df); % errore. abs(x) calcola il valore assoluto di x
    fprintf('h=%f, err=%e \n',h,err) % stampa dell'errore
end

